<?php
/**
 * Copyright 2020 Art-ER S. Cons. P.A.
 * EROI - Emilia Romagna Open Innovation is based on:
 * https://www.open2.0.regione.lombardia.it
 *
 * @see https://repo.art-er.it Developers' community
 * @license GPLv3
 * @license https://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3
 *
 * @package    arter\amos\slideshow\models
 * @category   CategoryName
 * @author     Elite Division S.r.l.
 */

namespace arter\amos\slideshow\models;

use arter\amos\cwh\query\CwhActiveQuery;

/**
 * Class Slideshow RouteQuery
 * @package arter\amos\slideshow\models * File generato automaticamente, verificarne
 * il contenuto prima di utilizzarlo in produzione
 */
class SlideshowRouteQuery extends CwhActiveQuery
{
    /**
     * @return array
     * da scommentare se si utilizzano i tag
     */
    //public function behaviors()
    //{
    //    return ArrayHelper::merge(
    //        parent::behaviors(), [
    //            TaggableQueryBehavior::className()
    //        ]
    //    );   
    //}

    /**
     * @return \yii\db\ActiveQuery
     */
    public function attive()
    {
        //Questo è solo un esempio, verificare che i campi e le tabelle siano corretti
        return $this->innerJoin('slideshowRoute_stato', 'slideshowRoute.slideshowRoute_stato_id = slideshowRoute_stato.id AND slideshowRoute_stato.nome = :stato_nome', [
            ':stato_nome' => 'Attiva'
        ]);
    }
}