<?php

/**
 * Emilia Romagna Open Innovation
 * Arter
 *
 *
 * @package    arter\amos\slideshow
 * @category   CategoryName
 */

use arter\amos\core\migration\AmosMigrationWidgets;
use arter\amos\dashboard\models\AmosWidgets;

class m161028_130926_add_slideshow_widgets extends AmosMigrationWidgets
{
    const MODULE_NAME = 'slideshow';

    /**
     * @inheritdoc
     */
    protected function initWidgetsConfs()
    {
        $this->widgets = [
            [
                'classname' => \arter\amos\slideshow\widgets\icons\WidgetIconSlideshow::className(),
                'type' => AmosWidgets::TYPE_ICON,
                'module' => self::MODULE_NAME,
                'status' => AmosWidgets::STATUS_ENABLED
            ],
            [
                'classname' => \arter\amos\slideshow\widgets\icons\WidgetIconSlideshowConf::className(),
                'type' => AmosWidgets::TYPE_ICON,
                'module' => self::MODULE_NAME,
                'child_of' => arter\amos\slideshow\widgets\icons\WidgetIconSlideshow::className(),
                'status' => AmosWidgets::STATUS_ENABLED
            ],
        ];
    }
}