<?php

/**
 * Emilia Romagna Open Innovation
 * Arter
 *
 *
 * @package    arter\amos\slideshow
 * @category   CategoryName
 */

namespace arter\amos\slideshow\widgets\icons;

use arter\amos\core\widget\WidgetIcon;
use arter\amos\slideshow\AmosSlideshow;
use Yii;
use yii\helpers\ArrayHelper;

class WidgetIconSlideshowConf extends WidgetIcon
{

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        $this->setLabel(AmosSlideshow::tHtml('amosslideshow', 'Slideshow'));
        $this->setDescription(AmosSlideshow::t('amosslideshow', 'Visualizza gli slideshow presenti'));
        $this->setIcon('image');
        if (!Yii::$app->user->isGuest) {
            $this->setUrl(\Yii::$app->urlManager->createUrl(['/slideshow/slideshow/index']));
        }

        $this->setCode('SLIDESHOW_LIST');
        $this->setModuleName('slideshow');
        $this->setNamespace(__CLASS__);

        $this->setClassSpan(
            ArrayHelper::merge(
                $this->getClassSpan(),
                [
                    'bk-backgroundIcon',
                    'color-darkPrimary'
                ]
            )
        );
    }

}
